Package org.apache.lucene.search.similarities

## Interface LMSimilarity.CollectionModel

- All Known Implementing Classes:
    `IndriDirichletSimilarity.IndriCollectionModel`, `LMSimilarity.DefaultCollectionModel`
  Enclosing class:
    LMSimilarity

      public static interface LMSimilarity.CollectionModel

  A strategy for computing the collection language model.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `computeProbability​(BasicStats stats)` | Computes the probability `p(w|C)` according to the language model strategy for the current term.
    `String` | `getName()` | The name of the collection model strategy.

- - ### Method Detail

    - #### computeProbability

          double computeProbability​(BasicStats stats)

      Computes the probability `p(w|C)` according to the language model strategy for the current term.

    - #### getName

          String getName()

      The name of the collection model strategy.